Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.actions.iface.tools.support
Class NamespaceTable

    java.lang.Object
      com.eviware.x.form.AbstractXFormField<T>
          com.eviware.x.impl.swing.AbstractSwingXFormField<javax.swing.JPanel>
              com.eviware.soapui.impl.wsdl.actions.iface.tools.support.NamespaceTable

All Implemented Interfaces:
  com.eviware.x.form.XFormField

    public class NamespaceTable

extends com.eviware.x.impl.swing.AbstractSwingXFormField<javax.swing.JPanel>

Swing JTable for holding Namespace/Package mappings

Author:
  ole.matzura

Constructor Summary
`NamespaceTable(Interface iface)`

Method Summary
`javax.swing.JPanel` | `getComponent(com.eviware.x.form.XForm.ToolkitType toolkitType)`
`java.lang.String` | `getValue()`
`boolean` | `isMultiRow()`
`void` | `setReturnEmpty(boolean returnEmpty)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class com.eviware.x.impl.swing.AbstractSwingXFormField
`getComponent, isEnabled, setEnabled, setToolTip`

Methods inherited from class com.eviware.x.form.AbstractXFormField
`addComponentEnabler, addFormFieldListener, addFormFieldValidator, fireValueChanged, getProperty, isRequired, removeFieldListener, removeFormFieldValidator, setProperty, setRequired, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceTable

    public NamespaceTable(Interface iface)

Method Detail

### setReturnEmpty

    public void setReturnEmpty(boolean returnEmpty)

### getComponent

    public javax.swing.JPanel getComponent(com.eviware.x.form.XForm.ToolkitType toolkitType)

### setValue

    public void setValue(java.lang.String value)

### getValue

    public java.lang.String getValue()

### isMultiRow

    public boolean isMultiRow()

  Overrides:
    `isMultiRow` in class `com.eviware.x.form.AbstractXFormField<javax.swing.JPanel>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.